Subject: Re: Ethernet CRC questions

From: Ben Hutchings <[email-masked]>
Date: Wed, 30 Dec 2009 17:29:35 +0100

On Thu, 2009-12-31 at 00:19 +0800, thomas yang wrote:
> >>
> >> Does the Ethernet frame CRC (generate and verify in hardware)  make
> >> the TX / RX  rate  a little smaller , and a longer end-to-end  delay ?
> >
> > Relative to what?
> >
> 
> Relative to the Ethernet frame without CRC appending / verifying .
> 
> 
> In IEEE 802.3 standard, all network devices should append/verify CRC?

Not 'should' but 'must'.

> >>  Could I disable CRC appending / verifying  in the network card driver
> >>   on all of my nodes (machines) ?
> >
> > Maybe if you want switches to discard everything you send...
> >
> 
> So, I should disable CRC appending / verifying on all kinds of network
> devices in my network?
> In this way I will  TX/RX packets more faster ?

You will probably not be able to disable CRC validation on switches
because it is not a sensible thing to do.  So if you disable CRC
generation on NICs then your network will notwork.

Really, 32 bit-times is not much to worry about (only 320 ns even at
100M).  There are likely to be much bigger sources of latency to attack.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.